---

 drivers/char/drm/sis_mm.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/char/drm/sis_mm.c~drm-include-fix drivers/char/drm/sis_mm.c
--- 25/drivers/char/drm/sis_mm.c~drm-include-fix	2004-01-08 10:14:41.000000000 -0800
+++ 25-akpm/drivers/char/drm/sis_mm.c	2004-01-08 10:16:49.000000000 -0800
@@ -34,8 +34,12 @@
 #include "sis_drv.h"
 #include "sis_ds.h"
 #if defined(__linux__) && defined(CONFIG_FB_SIS)
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,0)
+#include <video/sisfb.h>
+#else
 #include <linux/sisfb.h>
 #endif
+#endif
 
 #define MAX_CONTEXT 100
 #define VIDEO_TYPE 0 

_
